package domain

type AlibabaWdkMarketingVersionGenerateSeasonVersionParam struct {
	/*
	   商家档期号     */
	OutSeasonId *string `json:"out_season_id,omitempty" `

	/*
	   参与换挡的门店列表     */
	ShopIds *[]string `json:"shop_ids,omitempty" `
}

func (s *AlibabaWdkMarketingVersionGenerateSeasonVersionParam) SetOutSeasonId(v string) *AlibabaWdkMarketingVersionGenerateSeasonVersionParam {
	s.OutSeasonId = &v
	return s
}
func (s *AlibabaWdkMarketingVersionGenerateSeasonVersionParam) SetShopIds(v []string) *AlibabaWdkMarketingVersionGenerateSeasonVersionParam {
	s.ShopIds = &v
	return s
}
